<?php
/**
 * @copyright   Copyright (C) 2021 GWE Systems Ltd
 * @license     GNU/GPLv2, see http://www.gnu.org/licenses/gpl-2.0.html
 * @link        http://www.gwesystems.com
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

use Joomla\CMS\Factory;

echo "This output is from module " . $module->id ."<br>";

$modid = $module->id;

$script = <<< SCRIPT
document.addEventListener('DOMContentLoaded', function () { 
   alert("first " + $modid);
});
SCRIPT;

Factory::getDocument()->addScriptDeclaration($script);

echo "There are reasons to add more than one script declaration in a module - e.g. if they are created by a plugin and a module context sensitive<br>";

$script = <<< SCRIPT
document.addEventListener('DOMContentLoaded', function () { 
   alert("second " + $modid);
});
SCRIPT;

Factory::getDocument()->addScriptDeclaration($script);